package utils;

import com.ptvag.jabba.service.baseservices.CallerContext;
import com.ptvag.jabba.service.baseservices.ClientFactory;
import com.ptvag.jabba.service.baseservices.RemoteType;
import com.ptvag.xserver.xdima.XDimaRemoteInterface;

public class XDimaUtils {
	private XDimaUtils() {
		// this is a utility class!
	}

	public static XDimaRemoteInterface makeClient(String url) {
		XDimaRemoteInterface client = (XDimaRemoteInterface) ClientFactory
				.createClient(XDimaRemoteInterface.class,
						RemoteType.DOCSTYLE_CXF, "", "", url);
		CallerContext cc = CommonUtils.makeDefaultContext();
		client.setCallerContext(cc);
		client.setUsername("user");
		client.setPassword("pwd");
		return client;
	}
}
