package utils;

import com.ptvag.jabba.service.baseservices.CallerContext;
import com.ptvag.jabba.service.baseservices.ClientFactory;
import com.ptvag.jabba.service.baseservices.RemoteType;
import com.ptvag.xserver.xtour.XTourRemoteInterface;

public class XTourUtils {
	private XTourUtils() {
		// this is a utility class!
	}

	public static XTourRemoteInterface makeClient(String url) {
		XTourRemoteInterface client = (XTourRemoteInterface) ClientFactory
				.createClient(XTourRemoteInterface.class,
						RemoteType.DOCSTYLE_CXF, "", "", url);
		CallerContext cc = CommonUtils.makeDefaultContext();
		client.setCallerContext(cc);
		client.setUsername("user");
		client.setPassword("pwd");
		return client;
	}
}
